For the complete documentation index, see llms.txt. This page is also available as Markdown.

Track Dechets

List TrackDéchets waste notes

get

List TrackDéchets waste notes linked to your transports

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
transport_uidstringOptional

transport uid

Example: 4443d4b6-e165-11ea-a488-0242ac110007
transport_remote_idstringOptional

transport remote_id. You can use the remote_id of the transport (coming from your system), instead of its uid coming from Dashdoc, to filter this query

Example: any_id
Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/track-dechets/
200

Get successful

Link a TrackDéchets waste note

post

Link a TrackDéchets waste note to a transport. The waste note should exist on TrackDéchets (check is performed before link is created).

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
readable_idstringRequired

Waste note readable id from TrackDéchets

Example: BSD-123-456
Responses
201

Create successful

application/json
uidstring · uuidOptional

Dashdoc uid link between the transport and the TrackDéchets waste note

readable_idstringOptional

Waste note readable id from TrackDéchets

Example: BSD-20220408-Q4AMB20ZE
opaque_idstringOptional

Waste note opaque id from TrackDéchets, differs from readable_id for BSD type of waste note only

Example: cl1q5rr1o1373321fwze3n198tk
statusstringOptional

TrackDéchets status of the waste note

Example: DRAFT
typestringOptional

Waste note type, based on its readable_id

Example: BSD
createdstring · date-timeOptional

creation date and time

updatedstring · date-timeOptional

last update date and time

post/track-dechets/
201

Create successful

Remove a TrackDéchets waste note from a transport

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

uid of the association. You can find it in the response of the POST request for association creation

Responses
204

Empty body

No content

delete/track-dechets/{uid}/
204

Empty body

No content

Read a TrackDéchets waste note association to a transport

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

uid of the association

readable_idstringOptional

If you choose to identify an object with its readable_id from TrackDechets instead of its uid then

  • replace the uid value with the readable_id value in the URL

  • specify lookup_field=readable_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the readable_id (see path parameters)

Responses
200

Get successful

application/json
uidstring · uuidOptional

Dashdoc uid link between the transport and the TrackDéchets waste note

readable_idstringOptional

Waste note readable id from TrackDéchets

Example: BSD-20220408-Q4AMB20ZE
opaque_idstringOptional

Waste note opaque id from TrackDéchets, differs from readable_id for BSD type of waste note only

Example: cl1q5rr1o1373321fwze3n198tk
statusstringOptional

TrackDéchets status of the waste note

Example: DRAFT
typestringOptional

Waste note type, based on its readable_id

Example: BSD
createdstring · date-timeOptional

creation date and time

updatedstring · date-timeOptional

last update date and time

get/track-dechets/{uid}/
200

Get successful

Last updated

Was this helpful?